# Local file system

Local file system mode is the simplest mode of retrieval and also provides the fastest response times for RPC calls.

&#x20;In this mode, you host the CAR files locally as files on a file system. Depending on the epoch range you are wanting to support, this can require a very large amount of storage (\~350TB as of Epoch 827).

You can also host the indexes locally for best performance or mix with some indexes locally and some remotely.

<pre><code><strong>data/
</strong><strong>  0/
</strong><strong>    epoch-0.car
</strong><strong>    epoch-0.cid
</strong><strong>    epoch-0-bafy...-mainnet-cid-to-offset-and-size.index
</strong><strong>    epoch-0-bafy...-mainnet-sig-exists.index
</strong><strong>    gsfa/
</strong><strong>      ...
</strong></code></pre>

### Local Filesystem Example Configuration File

This is an example epoch 100 configuration that targets local files:

```yaml
version: 1
epoch: 100
data:
  car:
    uri: /of1/100/epoch-100.car
indexes:
  cid_to_offset_and_size:
    uri: /of1/100/epoch-100-bafyreibqt2nvroysxlxctgb52xxn27ectsllv2xyka4qar7ga6vupmbs3i-mainnet-cid-to-offset-and-size.index
  slot_to_cid:
    uri: /of1/100/epoch-100-bafyreibqt2nvroysxlxctgb52xxn27ectsllv2xyka4qar7ga6vupmbs3i-mainnet-slot-to-cid.index
  sig_to_cid:
    uri: /of1/100/epoch-100-bafyreibqt2nvroysxlxctgb52xxn27ectsllv2xyka4qar7ga6vupmbs3i-mainnet-sig-to-cid.index
  sig_exists:
    uri: /of1/100/epoch-100-bafyreibqt2nvroysxlxctgb52xxn27ectsllv2xyka4qar7ga6vupmbs3i-mainnet-sig-exists.index
```

Be aware that a full local clone of the OF1 genesis archive runs in multiple 100s of TB.&#x20;

### Split retrievals

If your file system or network file system store does not like serving large files, you can configure split retrievals for the local file system in the same way they work for [HTTP retrievals](/running-old-faithful/installation-and-setup/configuration-files/http.md#split-retrievals-advanced).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.old-faithful.net/running-old-faithful/installation-and-setup/configuration-files/local-file-system.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
